#
# WARNING, READ FIRST:
#
# This is a special package that needs special treatment. Due to the amount of
# security updates it needs, it's common to ship new upstream versions instead of patching.
# That means this package MUST be BUILDABLE for stable official releases.
# This also means only STABLE upstream releases, NO betas.
# This is a discussed topic. Please, do not flame it again.

%define oname firefox
%define name %{oname}-l10n
%define version 32.0.2

%define release 1

%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/linux-i686/xpi/

# Supported l10n language lists
%define langlist    ar af ast be bg bn_IN bn_BD br bs ca cs cy da de el en_GB en_ZA eo es_CL es_ES es_MX es_AR et eu fa fi fr fy ga_IE gd gl gu_IN he hi hr hu hy id is it ja kk ko kn ku lt lv mai mk ml mr nb_NO nn_NO nl or pa_IN pl pt_PT pt_BR ro ru si sk sl sq sr sv_SE ta te th tr uk vi zh_CN zh_TW zu

# Disabled l10n languages, for any reason
# uu br_FR

# Disabled myspell dicts, for any reason
%define disabled_dict_langlist  ar be bn br br_FR es_AR eu fi fy gl gu_IN he id ja ka kn ko mk pa_IN te tr zh_CN zh_TW

# Language descriptions
%define language_ak ak
%define langname_ak Akan
%define language_ar ar
%define langname_ar Arabic
%define language_ast ast
%define langname_ast Asturian
%define language_af af
%define langname_af Afrikaans
%define language_be be
%define langname_be Belarusian
%define language_bg bg
%define langname_bg Bulgarian
%define language_bn_BD bn-BD
%define langname_bn_BD Bengali
%define language_bn_IN bn-IN
%define langname_bn_IN Bengali
%define language_br br
%define langname_br Breton
%define language_bs bs
%define langname_bs Bosnian
%define language_ca ca
%define langname_ca Catalan
%define language_cs cs
%define langname_cs Czech
%define language_cy cy
%define langname_cy Welsh
%define language_da da
%define langname_da Dansk
%define language_de de
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_en_GB en-GB
%define langname_en_GB British English
%define language_en_ZA en-ZA
%define langname_en_ZA English (South Africa)
%define language_eo eo
%define langname_eo Esperanto
%define language_es_AR es-AR
%define langname_es_AR Spanish (Argentina)
%define language_es_CL es-CL
%define langname_es_CL Spanish (Chile)
%define language_es_ES es-ES
%define langname_es_ES Spanish
%define language_es_MX es-MX
%define langname_es_MX Spanish (Mexico)
%define language_et et
%define langname_et Estonian
%define language_eu eu
%define langname_eu Basque
%define language_fa fa
%define langname_fa Farsi
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_fy fy-NL
%define langname_fy Frisian
%define language_ga_IE ga-IE
%define langname_ga_IE Irish
%define language_gd gd
%define langname_gd Scottish Gaelic
%define language_gl gl
%define langname_gl Galician
%define language_gu_IN gu-IN
%define langname_gu_IN Gujarati
%define language_he he
%define langname_he Hebrew
%define language_hi hi-IN
%define langname_hi Hindi
%define language_hr hr
%define langname_hr Croatian
%define language_hu hu
%define langname_hu Hungarian
%define language_hy hy-AM
%define langname_hy Armenian
%define language_id id
%define langname_id Indonesian
%define language_is is
%define langname_is Icelandic
%define language_it it
%define langname_it Italian
%define language_ja ja
%define langname_ja Japanese
%define language_kk kk
%define langname_kk Kazakh
%define language_ko ko
%define langname_ko Korean
%define language_kn kn
%define langname_kn Kannada
%define language_ku ku
%define langname_ku Kurdish
%define language_lt lt
%define langname_lt Lithuanian
%define language_lv lv
%define langname_lv Latvian
%define language_mai mai
%define langname_mai Maithili
%define language_mk mk
%define langname_mk Macedonian
%define language_ml ml
%define langname_ml Malayalam
%define language_mr mr
%define langname_mr Marathi
%define language_nb_NO nb-NO
%define langname_nb_NO Norwegian Bokmaal
%define language_nn_NO nn-NO
%define langname_nn_NO Norwegian Nynorsk
%define language_nl nl
%define langname_nl Dutch
%define language_or or
%define langname_or Oriya
%define language_pa_IN pa-IN
%define langname_pa_IN Punjabi (gurmukhi)
%define language_pl pl
%define langname_pl Polish
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian portuguese
%define language_pt_PT pt-PT
%define langname_pt_PT Portuguese
%define language_rm rm
%define langname_rm Rumantsch
%define language_ro ro
%define langname_ro Romanian
%define language_ru ru
%define langname_ru Russian
%define language_si si
%define langname_si Sinhala
%define language_sk sk
%define langname_sk Slovak
%define language_sl sl
%define langname_sl Slovenian
%define language_son son
%define langname_son Soŋay
%define language_sq sq
%define langname_sq Shqipe
%define language_sr sr
%define langname_sr Serbian
%define language_sv_SE sv-SE
%define langname_sv_SE Swedish
%define language_ta ta
%define langname_ta Tamil
%define language_ta_LK ta-LK
%define langname_ta_LK Tamil (Sri Lanka)
%define language_te te
%define langname_te Telugu
%define language_th th
%define langname_th Thai
%define language_tr tr
%define langname_tr Turkish
%define language_uk uk
%define langname_uk Ukrainian
%define language_uk_UA uk-UA
%define langname_uk_UA Ukrainian
%define language_vi vi
%define langname_vi Vietnamese
%define language_zh_CN zh-CN
%define langname_zh_CN Simplified Chinese
%define language_zh_TW zh-TW
%define langname_zh_TW Traditional Chinese
%define language_zu zu
%define langname_zu Zulu

# --- Danger line ---

# Defaults (all languages enabled by default)
# dicts
%{expand:%(for lang in %langlist; do echo "%%define with_dict_$lang 0"; done)}
%{expand:%(for lang in %disabled_dict_langlist; do echo "%%define with_dict_$lang 0"; done)}

# Locales
%{expand:%(for lang in %langlist; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

Summary:	Localizations for Firefox (virtual package)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
Url:		http://www.firefox.com/
# l10n sources
Source0:	%{name}-%{version}.tar.xz
# Language package template
Source1:	%{name}-template.in
Source500:	firefox-l10n.rpmlintrc
BuildRequires:	firefox-devel
BuildArch:	noarch

%description
Localizations for Firefox web browser.

# Expand all languages packages.
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.in 2> /dev/null)}";\
	done\
	)
}

%prep
%setup -q


%install
# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}

mkdir -p %{buildroot}%{firefox_extdir}/

# Install all languages
for lang in %{langlist}; do
	language="language_$lang"
	language=${!language}

	# l10n
	cp ${language}.xpi %{buildroot}%{firefox_extdir}/langpack-${language}@firefox.mozilla.org.xpi

done

%changelog
* Fri Sep 19 2014 Tigro <ashejn@gmail.com> 32.0.2-1
+ Revision: 1818c79
- update to 32.0.2

* Tue Sep 02 2014 Tigro <ashejn@gmail.com> 32.0-1
+ Revision: 507148f
- update to 32.0

* Tue Aug 05 2014 Tigro <ashejn@gmail.com> 31.0-1
+ Revision: 5b0046c
- update to 31.0

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 30.0-2
+ Revision: 00d51bb
- MassBuild#440: Increase release tag

* Tue Jun 10 2014 Tigro <ashejn@gmail.com> 30.0-1
+ Revision: c5197ed
- update to 30.0

* Mon May 12 2014 Tigro <ashejn@gmail.com> 29.0.1-1
+ Revision: 8f80aa1
- update to 29.0.1

* Wed Apr 30 2014 Tigro <ashejn@gmail.com> 29.0-1
+ Revision: 335dac4
- update to 29.0

* Thu Mar 20 2014 Tigro <ashejn@gmail.com> 28.0-1
+ Revision: 2c9ea69
- update to 28.0

* Fri Feb 14 2014 Tigro <ashejn@gmail.com> 27.0.1-1
+ Revision: 78d010b
- drop nso labgpack

* Fri Feb 14 2014 Tigro <ashejn@gmail.com> 27.0.1-1
+ Revision: 90852df
- drop lg langpack

* Fri Feb 14 2014 Tigro <ashejn@gmail.com> 27.0.1-1
+ Revision: 3f0909b
- update to 27.0.1

* Tue Feb 04 2014 Tigro <ashejn@gmail.com> 27.0-1
+ Revision: 1e7f62f
- update to 27.0

* Wed Dec 11 2013 Tigro <ashejn@gmail.com> 26.0-1
+ Revision: 603b8be
- update to 26.0

* Sun Nov 17 2013 Tigro <ashejn@gmail.com> 25.0.1-1
+ Revision: e10f842
- update to 25.0.1

* Fri Nov 01 2013 Tigro <ashejn@gmail.com> 25.0-1
+ Revision: 063675d
- update to 25.0

* Mon Sep 30 2013 Tigro <ashejn@gmail.com> 24.0-1
+ Revision: a17eb63
- update to 24.0

* Mon Sep 02 2013 Tigro <ashejn@gmail.com> 23.0.1-1
+ Revision: bf0a611
- update to 23.0.1

* Wed Aug 14 2013 Tigro <ashejn@gmail.com> 23.0-1
+ Revision: 86432f8
- update to 23.0

* Tue Jun 25 2013 Tigro <ashejn@gmail.com> 22.0-1
+ Revision: 91d614c
- update to 22.0

* Tue May 21 2013 Tigro <ashejn@gmail.com> 21.0-1
+ Revision: 1653b5f
- update to 21.0

* Tue Apr 02 2013 Tigro <ashejn@gmail.com> 20.0-1
+ Revision: 919019f
- update to 20.0

* Fri Mar 15 2013 Tigro <ashejn@gmail.com> 19.0.2-1
+ Revision: 8cb536f
- update to 19.0.2

* Tue Feb 19 2013 Tigro <ashejn@gmail.com> 19.0-1
+ Revision: a2bb1f3
- update to 19.0

* Wed Feb 13 2013 Tigro <ashejn@gmail.com> 18.0.2-1
+ Revision: 4f1999b
- rewrite spec and update to 18.0.2

* Wed Jan 09 2013 alexander barakin (aka sash-kan) <alex@barak.in> 17.0.1-1
+ Revision: c149994
- LOG update xpi files for 17.0.1
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Sun Dec 02 2012 akdengi <kazancas@mandriva.ru> 17.0.1-1
+ Revision: becde06
- LOG - update to 17.0.1

* Fri Nov 23 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.0-2
+ Revision: c11aa81
- LOG Properly update languages, add source files for 17.0

* Thu Nov 22 2012 alexander barakin (aka sash-kan) <alex@barak.in> 17.0-1
+ Revision: bec088d
- upgrade to 17.0
- Signed-off-by: alexander barakin (aka sash-kan) <alex@barak.in>

* Tue Nov 20 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.0.2-1
+ Revision: 039136f
- LOG Update to 16.0.2

* Fri Oct 05 2012 akdengi <kazancas@mandriva.ru> 15.0.1-70
+ Revision: da787e4
- drop MIB distsuffix


